## libscconf 0.1

=== Makefile ===

NAME=libscconf
SONAME = $(NAME).so.0
VERSION = 0.1
LIBNAME = $(NAME).so.$(VERSION)
INCNAME = scconf.h

CC =		$(CROSS_COMPILE)gcc

CFLAGS += -I. -fPIC -g -O2 -Wall -DHAVE_STRINGS_H

SRCS = parse.c scconf.c sclex.c write.c compat_strlcpy.c
OBJS = $(SRCS:%.c=%.o)

all: $(LIBNAME) $(NAME).a

$(LIBNAME): $(OBJS)
	$(CC) -o $@  -shared -Wl,-soname -Wl,$(SONAME) $^
	ln -sf $@ $(SONAME)
	ln -sf $(SONAME) $(NAME).so

$(NAME).a: $(OBJS)
	$(AR) cru $(NAME).a $^

clean:
	rm -f $(OBJS) $(LIBNAME) $(SONAME) $(NAME).so $(NAME).a

install:
	install -d $(DESTDIR)/usr/lib $(DESTDIR)/usr/include
	install -m 644 $(LIBNAME) $(DESTDIR)/usr/lib
	cp -a $(NAME).so.0 $(DESTDIR)/usr/lib
	cp -a $(NAME).so $(DESTDIR)/usr/lib
	install -m 644 $(NAME).a $(DESTDIR)/usr/lib
	install -m 644 $(INCNAME) $(DESTDIR)/usr/include

=== debian/changelog ===
libscconf (0.1) unstable; urgency=low

  * Initial release

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 10 Nov 2008 14:33:39 +0200

=== debian/control ===
Source: libscconf
Priority: extra
Maintainer: Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
Build-Depends: debhelper (>= 4)
Standards-Version: 3.8.0
Section: libs

Package: libscconf0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for handling scconf files
 The scconf system is a small system library for handling
 scconf files. Why should anyone care about scconf format?
 It is a handy format for short pieces of structured data.

Package: libscconf-dev
Section: libdevel
Architecture: any
Depends: libscconf0 (= ${Source-Version})
Description: library for handling scconf files
 The scconf system is a small system library for handling
 scconf files. Why should anyone care about scconf format?
 It is a handy format for short pieces of structured data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=$(CURDIR)/debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
